package com.ycgis.macall.personalcenter.m.adapterbean;

import com.rs.macall.androidx.basemodel.utils.StringUtil;

import java.io.Serializable;

/**
 * created by:   Macall
 * create time:  2022/11/11 17:17
 * copyright:    @ruansee.com
 * Describe:
 */
public class MessageBean extends BaseBean implements Serializable {
    private String id;
    private String msgId;
    //    private String title;
    private String appName;
    //    private String time;
//    private String content;
//    private String clientId;
    private String msgType;
    //    private String clientSecret;
    private String appIcon;
    private String state;


    /**
     * 是否在个人中心APP内展示：
     * 0 ：跳转第三方应用内展示
     * 1 ： 直接在个人中心展示
     * 默认值0
     */
    private int appExhibition = 0;


    /**
     * ture 已读     false 未读
     */
    private boolean isRead = false;
//    private String appLinkUrl;

    private int drawable;

    private String applicationId;
    /**
     * msgTitle : 危险性评估到期
     * msgContent : 您有一条关于刘双胜(340823198612214011)危险性评估任务即将到期，请及时进行危估
     * userId : 999013
     * state : 0
     * appId : 9450172311301425102
     * appSecret : B5479QP8p2I216B3M9gNpL363Z77dM8S
     * sendingTime : 2023-01-05 17:40:38
     * readingTime : null
     * appUrl : cbh
     */

    private String msgTitle;
    private String msgContent;
    private String appId;
    private String appSecret;
    private String sendingTime;
    private String appUrl;

    public int getAppExhibition() {
        return appExhibition;
    }

    public void setAppExhibition(int appExhibition) {
        this.appExhibition = appExhibition;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getAppIcon() {
        return appIcon;
    }

    public void setAppIcon(String appIcon) {
        this.appIcon = appIcon;
    }

    public int getDrawable() {
        return drawable;
    }

    public void setDrawable(int drawable) {
        this.drawable = drawable;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getMsgId() {
        return msgId;
    }

    public void setMsgId(String msgId) {
        this.msgId = msgId;
    }

    public String getTitle() {
        return msgTitle;
    }

    public void setTitle(String title) {
        this.msgTitle = title;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getTime() {
        return sendingTime;
    }

    public void setTime(String time) {
        this.sendingTime = time;
    }

    public String getContent() {
        return "\t" + StringUtil.get(msgContent, "暂无");
    }

    public void setContent(String content) {
        this.msgContent = content;
    }

    public boolean isRead() {
        return isRead;
    }

    public void setRead(boolean read) {
        isRead = read;
    }

    public String getAppLinkUrl() {
        return appUrl;
    }

    public void setAppLinkUrl(String appLinkUrl) {
        this.appUrl = appLinkUrl;
    }

    public String getClientId() {
        return appId;
    }

    public void setClientId(String clientId) {
        this.appId = clientId;
    }

    public String getClientSecret() {
        return appSecret;
    }

    public void setClientSecret(String clientSecret) {
        this.appSecret = clientSecret;
    }

    public String getMsgType() {
        return msgType;
    }

    public void setMsgType(String msgType) {
        this.msgType = msgType;
    }

    public String getApplicationId() {
        return applicationId;
    }

    public void setApplicationId(String applicationId) {
        this.applicationId = applicationId;
    }
}
